<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.liquidnet.service.kylin.mapper.KylinFreightChargeMapper">


    <insert id="setFreightCharge" parameterType="com.liquidnet.service.kylin.dao.KylinFreightChargeDao" useGeneratedKeys="true" keyProperty="mid">
        insert into kylin_freight_charge(
        mid,fields_id,province,city,adname,adcode,price,business_type,business_type_desc
        )values (
        #{mid},
        <if test="fieldsId != null and fieldsId != ''">#{fieldsId},</if>
        <if test="province != null and province != ''">#{province},</if>
        <if test="city != null and city != ''">#{city},</if>
        <if test="adname != null and adname != ''">#{adname},</if>
        <if test="adcode != null and adcode != ''">#{adcode},</if>
        <if test="price != null and price != ''">#{price},</if>
        <if test="businessType != null and businessType != ''">#{businessType},</if>
        <if test="businessTypeDesc != null and businessTypeDesc != ''">#{businessTypeDesc}</if>
        )

    </insert>

</mapper>
